Subject: bug#28390: Fwd: bug#28390: 26.0.50; overlays-at actually sorts by increating priority

From: João Távora <[email-masked]>
Date: Fri, 8 Sep 2017 20:30:46 +0100

---------- Forwarded message ----------
From: João Távora <[email-masked]>
Date: Fri, Sep 8, 2017 at 7:48 PM
Subject: Re: bug#28390: 26.0.50; overlays-at actually sorts by increating
priority
To: Eli Zaretskii <[email-masked]>

On Fri, Sep 8, 2017 at 10:47 AM, Eli Zaretskii <[email-masked]> wrote:
> >
> > Really? Won't that ripple very paintuflly across the elisp ecosphere?
>
> I don't think so.  I believe this optional argument is used very
> rarely.
>
> > I do agree that it should sort the other way, though. But it's too late
> > for that, bugs will be features :-).
>
> I'm not sure it's too late.

You might be right. Even I overestimated how much I use it in my libs. I
don't.

And the few first pages of a github code search for overlays-at don't
disprove
you. But they don't prove anything either.

Anyway, your call. I wouldn't do it, what's to gain besides consistency?

-- 
João Távora